package com.ama.core.architecture.highlightpro.shape

import android.graphics.Path
import android.graphics.RectF
import kotlin.math.max


class CircleShape(private val radius: Float = 0f) : HighlightShape(radius) {

    override fun initRect(rectF: RectF) {
        super.initRect(rectF)
        rect?.run {
            path.reset()
            path.addCircle((left+right)/2,(top+bottom)/2, max(height(),width()) /2,Path.Direction.CW)
        }
    }
}